# This file created by conda-build 3.18.10
# meta.yaml template originally from:
# /scratch/builds/bob/bob.db.nist_sre12/conda, last modified Tue Oct 29 17:19:41 2019
# ------------------------------------------------

package:
    name: bob.db.nist_sre12
    version: 3.0.7
build:
    number: '0'
    run_exports:
        - bob.db.nist_sre12 >=3.0.7,<4.0a0
    script:
        - cd /scratch/builds/bob/bob.db.nist_sre12/conda/..
        - python setup.py install --single-version-externally-managed --record record.txt
        - bob_dbmanage.py nist_sre12 download --missing
    script_env:
        - DOCSERVER
    string: py36hddb05d1_0
requirements:
    host:
        - _libgcc_mutex 0.1 main
        - blas 1.0 mkl
        - bob.blitz 2.0.19 py36h96bc83c_0
        - bob.core 2.2.3 py36h2f0a336_1
        - bob.db.base 3.0.3 py36hcfd9741_1
        - bob.extension 3.2.0 py36h62d17ee_0
        - bob.io.base 3.0.6 py36h71277be_1
        - bob.io.image 2.4.4 py36h013ee83_1
        - boost 1.67.0 py36_4
        - bzip2 1.0.8 h7b6447c_0
        - ca-certificates 2019.10.16 0
        - certifi 2019.9.11 py36_0
        - click 7.0 py36_0
        - click-plugins 1.1.1 py_0
        - giflib 5.1.4 h63890e4_4
        - hdf5 1.10.2 hba1933b_1
        - icu 58.2 h9c2bf20_1
        - intel-openmp 2019.4 243
        - jpeg 9b h024ee3a_2
        - libblitz 1.0.1 h5c30f38_0
        - libboost 1.67.0 h46d08c1_4
        - libedit 3.1.20181209 hc058e9b_0
        - libffi 3.2.1 hd88cf55_4
        - libgcc-ng 9.1.0 hdf63c60_0
        - libgfortran-ng 7.3.0 hdf63c60_0
        - libpng 1.6.37 hbc83047_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
        - libtiff 4.0.10 h2733197_2
        - mkl 2019.4 243
        - mkl-service 2.3.0 py36he904b0f_0
        - mkl_fft 1.0.14 py36ha843d7b_0
        - mkl_random 1.1.0 py36hd6b4f25_0
        - ncurses 6.1 he6710b0_1
        - numpy 1.15.4 py36h7e9f1db_0
        - numpy-base 1.15.4 py36hde5b4d6_0
        - openssl 1.1.1d h7b6447c_3
        - py-boost 1.67.0 py36h04863e7_4
        - python 3.6.9 h265db76_0
        - readline 7.0 h7b6447c_5
        - scipy 1.2.1 py36h7c811a0_0
        - setuptools 41.0.1 py36_0
        - six 1.12.0 py36_0
        - sqlalchemy 1.3.10 py36h7b6447c_0
        - sqlite 3.30.1 h7b6447c_0
        - tk 8.6.8 hbc83047_0
        - xz 5.2.4 h14c3975_4
        - zlib 1.2.11 h7b6447c_3
        - zstd 1.3.7 h0b5b093_0
    run:
        - bob.db.base >=3.0.3,<4.0a0
        - bob.extension >=3.2.0,<4.0a0
        - numpy
        - python >=3.6,<3.7.0a0
        - scipy
        - setuptools
test:
    commands:
        - nosetests --with-coverage --cover-package=bob.db.nist_sre12 -sv bob.db.nist_sre12
        - sphinx-build -aEW /scratch/builds/bob/bob.db.nist_sre12/conda/../doc /scratch/builds/bob/bob.db.nist_sre12/conda/../sphinx
        - sphinx-build -aEb doctest /scratch/builds/bob/bob.db.nist_sre12/conda/../doc
            sphinx
        - conda inspect linkages -p $PREFIX bob.db.nist_sre12
    imports:
        - bob.db.nist_sre12
    requires:
        - bob-devel 2019.10.17.*
        - coverage
        - nose
        - sphinx
        - sphinx_rtd_theme
about:
    home: https://www.idiap.ch/software/bob/
    license: GNU General Public License v3 (GPLv3)
    license_family: GPL
    summary: Speaker verification protocol on the NIST SRE 2012
extra:
    copy_test_source_files: true
    final: true
